net/samba4 - The NetBSD Packages Collection

SMB/CIFS protocol server suite

Samba is the standard Windows interoperability suite of programs
for Linux and Unix.

Samba is Free Software licensed under the GNU General Public License,
the Samba project is a member of the Software Freedom Conservancy.

Since 1992, Samba has provided secure, stable and fast file and
print services for all clients using the SMB/CIFS protocol, such
as all versions of DOS and Windows, OS/2, Linux and many others.

Samba is an important component to seamlessly integrate Linux/Unix
Servers and Desktops into Active Directory environments. It can
function both as a domain controller or as a regular domain member.

This package intends to provide the current stable version of samba
within the 4.x series.  (As will all packages, it may of course
sometimes contain an older stable release due to not being updated
yet.)

Build dependencies

textproc/libxslt textproc/docbook-xml textproc/docbook-xsl pkgtools/cwrappers devel/glib2-tools devel/gmake devel/pkgconf

Runtime dependencies

devel/p5-Parse-Yapp net/py-dns textproc/py-expat time/py-iso8601 textproc/py-markdown lang/perl5 net/avahi devel/gettext-lib converters/libiconv databases/ldb databases/ldb devel/popt devel/talloc devel/talloc devel/tevent databases/lmdb devel/cmocka devel/readline lang/python38 lang/python38 security/gnutls security/libgcrypt textproc/jansson net/avahi converters/libiconv devel/popt devel/cmocka devel/readline security/gnutls security/libgcrypt textproc/jansson

Binary packages

OSArchitectureVersion
NetBSD 8.0i386samba-4.12.9.tgz
NetBSD 8.0i386samba-4.13.3.tgz
NetBSD 8.0i386samba-4.13.7.tgz
NetBSD 8.0i386samba-4.13.9.tgz
NetBSD 8.0x86_64samba-4.13.7.tgz
NetBSD 8.0x86_64samba-4.12.9.tgz
NetBSD 8.0x86_64samba-4.13.3.tgz
NetBSD 8.0x86_64samba-4.13.9.tgz
NetBSD 9.0aarch64samba-4.13.9.tgz
NetBSD 9.0aarch64samba-4.12.9.tgz
NetBSD 9.0aarch64samba-4.13.3.tgz
NetBSD 9.0aarch64samba-4.13.7.tgz
NetBSD 9.0alphasamba-4.13.7.tgz
NetBSD 9.0alphasamba-4.13.9.tgz
NetBSD 9.0earmsamba-4.13.7.tgz
NetBSD 9.0i386samba-4.12.9.tgz
NetBSD 9.0i386samba-4.13.3.tgz
NetBSD 9.0i386samba-4.13.7.tgz
NetBSD 9.0i386samba-4.13.9.tgz
NetBSD 9.0mips64ebsamba-4.13.7.tgz
NetBSD 9.0mips64ebsamba-4.13.3.tgz
NetBSD 9.0mips64ebsamba-4.13.9.tgz
NetBSD 9.0sparc64samba-4.13.7.tgz
NetBSD 9.0sparc64samba-4.13.9.tgz
NetBSD 9.0x86_64samba-4.13.4.tgz
NetBSD 9.0x86_64samba-4.13.7.tgz
NetBSD 9.0x86_64samba-4.13.7.tgz
NetBSD 9.0x86_64samba-4.12.9.tgz
NetBSD 9.0x86_64samba-4.13.3.tgz
NetBSD 9.0x86_64samba-4.13.9.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

acl
Enable POSIX ACL support.
ads
Enable Windows Active Directory support.
avahi
Enable DNS service discovery and multicast DNS support.
fam
Support using File Alteration Monitor (FAM).
ldap
Enable LDAP support.
pam
Enable PAM support.
winbind
Enable name-service switch daemon support using Windows Servers.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.